#
# spec file for package splint (Version 3.1.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           splint
BuildRequires:  flex
License:        GPL-2.0+
Group:          Development/Languages/C and C++
AutoReqProv:    on
Provides:       lclint
Obsoletes:      lclint
Version:        3.1.2
Release:        101.18
Summary:        A tool for statically checking C programs
Url:            http://www.splint.org/
Source:         %{name}-%{version}.src.tar.bz2
Patch:          %{name}-%{version}-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
With minimal effort, LCLint can be used as a better lint.  If
additional effort is invested adding annotations to programs, LCLint
can perform stronger checks than can be done by any standard lint.



Authors:
--------
    David Evans <evans@virginia.edu>

%prep
%setup
%patch -p1

%build
%configure
make 
make test

%install
rm -rf $RPM_BUILD_ROOT
make "DESTDIR=$RPM_BUILD_ROOT" install
rm -f doc/html/{header,footer}.html

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc/manual.pdf doc/html doc/manual.css
%{_datadir}/splint/
%{_mandir}/man1/*
%defattr(755,root,root)
/usr/bin/*

%changelog
* Mon Jul 23 2007 pgajdos@suse.cz
- updated to 3.1.2 (fixes many bugs)
* Thu Mar 29 2007 rguenther@suse.de
- add flex BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 19 2004 mcihar@suse.cz
- fix return values for nonvoid functions
- stripped down neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue May 27 2003 mcihar@suse.cz
- updated to 3.1.1
* Fri Aug  2 2002 ro@suse.de
- re-packed tar-archive with 16bit uids
* Wed Jul 10 2002 mcihar@suse.cz
- renamed from lclint to splint
- new version 3.0.1.6
* Fri Jan 18 2002 cihlar@suse.cz
- repacked tar ball to remove problems on several
  build machines
* Fri Nov 30 2001 cihlar@suse.cz
- update to version 2.5r:
  * fixed include problem
* Fri Apr 20 2001 cihlar@suse.cz
- fixed warnings on ia64
* Fri Apr 13 2001 cihlar@suse.cz
- fixed to compile on axp
* Mon Feb 12 2001 cihlar@suse.cz
- fixed to compile
* Sun Feb  4 2001 bk@suse.de
- use RPM_OPT_FLAGS to use distribution(and platform) optimisations
* Thu Jan 25 2001 cihlar@suse.cz
- fixed to compile on ia64
* Mon Nov 13 2000 cihlar@suse.cz
- repacked sources to fix to compile
* Wed Nov  8 2000 cihlar@suse.cz
- upgrade to version 2.5q
- bzipped sources
- fixed copyright tag
- added make test
* Fri May 26 2000 cihlar@suse.cz
- upgrade to version 2.5m
* Mon May 15 2000 cihlar@suse.cz
- Group sorted
* Thu Mar 16 2000 cihlar@suse.cz
- upgrade to version 2.4b
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jun  8 1997 florian@suse.de
- first version of lclint 2.2a for S.u.S.E.
